> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Health Agencies



## OpenAPI

````yaml /api-reference/preview.json get /germany/healthagencies
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /germany/healthagencies:
    get:
      tags:
        - Germany
      summary: List Health Agencies
      operationId: list_health_agencies_germany_healthagencies_get
      parameters:
        - name: agency_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by agency ID
            title: Agency Id
          description: Filter by agency ID
        - name: agency_code
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by agency code
            title: Agency Code
          description: Filter by agency code
        - name: fund_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by fund type
            title: Fund Type
          description: Filter by fund type
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/HealthAgenciesResponse'
                title: Response List Health Agencies Germany Healthagencies Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerToken: []
components:
  schemas:
    HealthAgenciesResponse:
      properties:
        agency:
          $ref: '#/components/schemas/HealthAgency'
        umlage:
          items:
            $ref: '#/components/schemas/UmlageRates'
          type: array
          title: Umlage
      additionalProperties: true
      type: object
      required:
        - agency
        - umlage
      title: HealthAgenciesResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    HealthAgency:
      properties:
        agency_id:
          type: string
          title: Agency Id
          examples:
            - '123'
        agency_code:
          type: string
          title: Agency Code
          examples:
            - AOK01
        fund_type:
          anyOf:
            - $ref: '#/components/schemas/FundType'
            - type: 'null'
          examples:
            - AOK
        short_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Short Name
          examples:
            - AOK Bayern
        full_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Full Name
          examples:
            - AOK Bremen/Bremerhaven
        additional_contribution_rate:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Additional Contribution Rate
          examples:
            - '0.0270'
        bank_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Bank Name
          examples:
            - Deutsche Bank
        iban:
          anyOf:
            - type: string
            - type: 'null'
          title: Iban
          examples:
            - DE89370400440532013000
        bic:
          anyOf:
            - type: string
            - type: 'null'
          title: Bic
          examples:
            - COBADEFFXXX
        creditor_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Creditor Id
          examples:
            - DE98ZZZ09999999999
      additionalProperties: true
      type: object
      required:
        - agency_id
        - agency_code
      title: HealthAgency
    UmlageRates:
      properties:
        levy_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Levy Id
          examples:
            - 1
        levy_type:
          type: string
          title: Levy Type
          examples:
            - U1_1
        reimbursement_rate:
          type: integer
          title: Reimbursement Rate
          examples:
            - 70
        contribution_rate:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Contribution Rate
          examples:
            - '0.024'
      additionalProperties: true
      type: object
      required:
        - levy_type
        - reimbursement_rate
        - contribution_rate
      title: UmlageRates
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    FundType:
      type: string
      enum:
        - AOK
        - BKK
        - Ersatzkassen
        - IKK
        - Knappschaft
        - SVLFG
        - Umlagekasse
      title: FundType
  securitySchemes:
    BearerToken:
      type: oauth2
      flows:
        password:
          scopes:
            read:all: Read all
            write:all: Write all
            read:health_check: Read health check
            write:health_check: Write health check
            read:wage_types: Read wage types
            write:wage_types: Write wage types
          tokenUrl: >-
            https://auth-preview.intermezzo.ai/authorize?audience=api-preview.intermezzo.ai

````